/* stylelint-disable */
.form-row {
	float: none;

	& label {
		display: block;
		margin-bottom: 0.5em;
		font-weight: var(--font-normal);
	}

	& .input-text {
		width: 100%;
		height: 40px;
		padding: 0 1em;
		border-radius: 2px;
		border: 1px solid var(--border);
		box-shadow: 0 0 0 1px transparent, 0 1px 0 0 rgba(22, 29, 37, 0.05);
	}

	& textarea.input-text {
		padding: 1em;
		height: 100px;
	}

	& + .form-row {
		margin-top: 10px;
	}
}

.form-row-wide {
	clear: both;
	width: 100%;
}

.form-row.woocommerce-invalid {
	& .input-text {
		border-color: var(--red);
	}
}

.woocommerce ul {
	list-style: none;
}

.woocommerce-message,
.woocommerce-error,
.woocommerce-info {
	@mixin list-reset;

	margin-bottom: 20px;
	padding: 8px;
	padding: 10px 20px;
	color: var(--white);
	background-color: var(--dark);
	border-radius: var(--border-radius);

	@media (--s) {
		min-height: auto;
	}

	& a:not(.button) {
		color: var(--white);
		text-decoration: underline;
	}

	& .button,
	& .woocommerce-Button {
		@mixin button-normal;
		@mixin button-style-outline;

		margin: 0 0.5em;
		color: var(--white);
		border-color: var(--white);
	}
}

.woocommerce-MyAccount-content {
	& .woocommerce-message {
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-direction: row-reverse;
	}
}
.woocommerce-form-coupon-toggle {
	& .woocommerce-info {
		& .showcoupon {
			color: var(--primary);
		}
	}
}

.select2-container--default .select2-search--dropdown .select2-search__field {
	height: 40px;
	outline: none;
}

.select2-container--default .select2-selection--single {
	border-color: var(--border);
	border-radius: 2px;
	box-shadow: 0 0 0 1px transparent, 0 1px 0 0 rgba(22, 29, 37, 0.05);
}

.select2-container .select2-selection--single,
.select2-container--default
	.select2-selection--single
	.select2-selection__arrow,
.select2-container--default
	.select2-selection--single
	.select2-selection__rendered {
	height: 40px;
}

.select2-container--default
	.select2-selection--single
	.select2-selection__rendered {
	line-height: 40px;
}

.select2-results__option[aria-selected],
.select2-results__option[data-selected] {
	transition: background-color 0.3s ease;
}

.select2-container--default
	.select2-results__option--highlighted[aria-selected],
.select2-container--default
	.select2-results__option--highlighted[data-selected] {
	background-color: var(--primary);
}

.orderby {
	@mixin select-in-wrapper;
}
/* stylelint-enable */
